Subject: bug#35261: 26.1; EBDB Documentation

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 18 Apr 2019 13:33:11 -0700

On 04/17/19 03:41 AM, David Masterson wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> Here's what the new version looks like:
>>
>> * Getting Started
>> EBDB is a contact management package: it records information about
>> people and organizations, and integrates with other Emacs software
>> packages, mostly those concerned with sending and reading mail.  The
>> principle parts of EBDB are records, which represent people and
>> organizations; fields, representing detailed data about records; and
>> databases, which hold and persist records.
>>
>> There are a large number of configuration options listed in this
>> manual, but the only one you might want to tweak in advance is
>> ~ebdb-sources~ (see [The EBDB Database]), which controls where EBDB
>> stores its records.
>>
>> ** Starting a New Database
>> If you have no records you want to migrate from other contact
>> management software, start by calling the command ~ebdb-open~.  This
>> will open a new buffer in ~ebdb-mode~, and prompt you to create a
>> database, if one doesn't already exist.  From there, you can use
>> {{{kbd(c)}}} to make new records (see [Creating Records]).
>
> Otherwise, you'll want to migrate your data from other contact
> management software as described in the sections below.  Currently, EBDB
> only knows about migrating from BBDB and Org Contacts.

Okay, sounds good.

> ====
>
> Beyond this, I can see that lots of documentation (and, I assume,
> functionality) is still needed:
>
> 1. Installation details of EBDB and related tools.
> 2. Details on what type of records a database is composed of.
> 3. Details on the fields of a record.
> 4. Details on the type of a field.
> 5. Import/Export functionality
> 6. Hooks for add-ons
>
> * By 'details', I mean some Emacs Elisp and not just English to give us
>   real reference information.

EBDB is only just stabilizing (the export stuff went through some big
refactoring just recently) and I'm a little hesitant to lay all this
stuff out in the manual. One of the long-term goals is definitely to
make EBDB programmable and integratable with other packages, but I'm
dragging my feet a little bit until I'm more confident that the API
won't change. It'll get there, though.

Eric